## org.eclipse.datatools.sqltools.sqlbuilder.views.graph.editparts
Class ColumnEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy
              org.eclipse.gef.editpolicies.GraphicalNodeEditPolicy
                  org.eclipse.datatools.sqltools.sqlbuilder.views.graph.editparts.ColumnEditPolicy

All Implemented Interfaces:
  org.eclipse.gef.EditPolicy, org.eclipse.gef.RequestConstants

    public class ColumnEditPolicy

extends org.eclipse.gef.editpolicies.GraphicalNodeEditPolicy

Field Summary
`static org.eclipse.swt.widgets.Display` `display`

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ColumnEditPolicy(QuerySelect selectStatement)`

Method Summary

Methods inherited from class org.eclipse.gef.editpolicies.GraphicalNodeEditPolicy
`deactivate, eraseSourceFeedback, eraseTargetFeedback, getCommand, getTargetEditPart, showSourceFeedback, showTargetFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, getHost, setHost, toString, understandsRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### display

    public static final org.eclipse.swt.widgets.Display display

Constructor Detail

### ColumnEditPolicy

    public ColumnEditPolicy(QuerySelect selectStatement)